SeExpr

Functions | Variables
seop.cpp File Reference
`#include <RslPlugin.h>`
`#include <rx.h>`
`#include <map>`
`#include <list>`
`#include <pthread.h>`
`#include <SeVec.h>`
`#include <SeExpression.h>`
`#include <SeExprFunc.h>`
`#include <RixInterfaces.h>`
`#include <cstdlib>`
`#include <cstring>`
`#include "immutable_hash_map.h"`

Go to the source code of this file.

## Functions
RslFunctionTable | RslPublicFunctions (funcs, init)

## Variables
static RslFunction | funcs []

## Function Documentation

## ◆ RslPublicFunctions()

RslFunctionTable RslPublicFunctions | ( | funcs | ,
|  | init |
| ) |  |

## Variable Documentation

## ◆ funcs

RslFunction funcs[]
| static

Initial value:
= {
{"string SeTokenize(string)", SeTokenize, NULL, NULL},
{"float SeExprBind(string, string, output uniform float[])", SeExprBind, NULL, NULL},
{"void SeExprEval(uniform float, color[], output color)", SeExprEval, NULL, NULL},
{NULL}}

Definition at line 445 of file seop.cpp.